summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek@gentoo.org>2011-08-14 03:46:33 +0000
committerNirbheek Chauhan <nirbheek@gentoo.org>2011-08-14 03:46:33 +0000
commit497345ac5546aad5b300e28e68993072410672c0 (patch)
treefae23b22c9f3494a78900a41990c823febd16787 /eclass
parentRemove .la files only when USE=-static-libs. Previous commit by ssuominen pun... (diff)
downloadgentoo-2-497345ac5546aad5b300e28e68993072410672c0.tar.gz
gentoo-2-497345ac5546aad5b300e28e68993072410672c0.tar.bz2
gentoo-2-497345ac5546aad5b300e28e68993072410672c0.zip
For ebuilds with USE=static-libs, remove .la files conditionally for GNOME2_LA_PUNT
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnome2.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index b417ebbe5111..865c4cdc04cd 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.98 2011/07/15 17:31:37 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.99 2011/08/14 03:46:33 nirbheek Exp $
# @ECLASS: gnome2.eclass
# @MAINTAINER:
@@ -175,7 +175,9 @@ gnome2_src_install() {
# Delete all .la files
if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
ebegin "Removing .la files"
- find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+ if ! { has static-libs ${IUSE//+} && use static-libs; }; then
+ find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+ fi
eend
fi
}